package com.asdf.test;

import java.net.Socket;
import java.io.DataOutputStream;
import java.io.DataInputStream;
import org.junit.Test;
import com.asdf.utils.ClientServerConstants;
import com.asdf.server.Server;

/**
 * Tests account managing with server.
 */
public class ServerAccountTest extends ServerTest {
	
	@Override
	protected void onServerLoop(Server server) {
		
	}
	
	@Override
	@Test(timeout=10000)
	public void testServer() throws Exception {
		startServer();
		
		socket = new Socket("localhost", ClientServerConstants.PORT);
		input = new DataInputStream(socket.getInputStream());
		output = new DataOutputStream(socket.getOutputStream());
		socket.close();
		
		stopServer();
	}
	
}
