package com.asdf.test;

/**
 * TestConstants
 * Common constants used in testing.
 */
public class TestConstants {
	
	/**
	 * Amount of milliseconds of waiting after thread
	 * is considered to be stuck. (3 seconds)
	 */
	public static final int FREEZE_THRESHOLD = 3000;
	
	/**
	 * Maximum amount of milliseconds one test case may
	 * last. (10 seconds)
	 */
	public static final int TESTCASE_TIMEOUT = 10000; 
}
