package com.asdf.utils;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;

/**
 * A skeleton implementation for a text containing element.
 * 
 *
 */

public class BasicTextElement extends BasicElement {

	private String value;
	
	public BasicTextElement(String value) {
		this.value = value; 
	}
	
	@Override
	public short getNodeType() {
		return Node.TEXT_NODE;
	}
	
	@Override
	public String getNodeValue() throws DOMException {
		return value;
	}
	
	public void setNodeValue(String nodeValue) throws DOMException {
		this.value = nodeValue;
	}

}
