package com.asdf.utils;
import java.util.Vector;

/**
 * Stores a set of chips, their values and offsets.
 *
 */
public class Distribution {

	public Vector<ChipOffSet> chips = new Vector<ChipOffSet>();

	/**
	 * Adds a chip to the set.
	 * @param offx Offset on x-axis.
	 * @param offy Offset on y-axis.
	 * @param val Value of the chip.
	 */
	public void add(int offx, int offy, int val) {
		int tmpx = offx;
		int tmpy = offy;
		boolean on_top = false;
		for(ChipOffSet c : chips){
			//System.out.println("Blaa: X"+offx +" bloo: X"+c.off_x);
			if(offx >= 0 && c.off_x >= 0){
				if(offx <= c.off_x -5 && offx >= c.off_x +5){
					tmpx = c.off_x;
					tmpy = c.off_y + 4*c.on_top;
					c.addOnTop();
					on_top = true;
					break;
				}else{
					tmpx = offx;
					tmpy = offy;
				}
			}else if(offx <= 0 && c.off_x <= 0){
				if(offx >= c.off_x -5 && offx <= c.off_x +5){
					tmpx = c.off_x;
					tmpy = c.off_y + 4*c.on_top;					
					c.addOnTop();
					on_top = true;
					break;
				}else{
					tmpx = offx;
					tmpy = offy;
				}			
			}
		}	
		
		ChipOffSet c = new ChipOffSet(val, tmpx, tmpy);
		c.on_top_of_something = on_top;
		chips.add(c);
		//chips.get(chips.size()-1).on_top_of_something = on_top;
	}
	
	
}
